W(1)

NAME
w - Zeigt an, wer am System angemeldet ist und was sie/er gerade tut.

SYNTAX
w [-husfVo] [Benutzer]

BESCHREIBUNG
w zeigt Informationen über die gerade eingeloggten Benutzer und ihre Prozesse an. Die Kopfzeile enthält die aktuelle Zeit, die Zeit, seit der das System läuft, wie viele Benutzer gerade angemeldet sind und die durchschnittliche Systemlast der letzten 1, 5 und 15 Minuten. Die folgenden Daten werden für jeden Benutzer angezeigt: Der Login-Name, der tty-Name, der entfernte Host, die Login-Zeit, die Leerlaufzeit, JCPU , PCPU und die Kommandozeile des laufenden Prozesses. Die JCPU-Zeit ist die Zeit, die von allen Prozessen genutzt wurde, die an dem jeweiligen Terminal angemeldet sind. Sie enthält keine abgeschlossenen Hintergrund-Aufträge, jedoch die derzeit laufenden Hintergrund-Aufträge. Die PCPU-Zeit ist die Zeit, die vom derzeit laufenden Prozess bisher genutzt wurde.

OPTIONEN

-h  Die Kopfzeile nicht ausgegeben.

-u  Ignoriert den Benutzernamen während der aktuelle Prozess und die CPU-Zeiten ermittelt werden. Probieren Sie die Option aus, indem Sie zunächst "su", danach "w" und "w -u" eingeben.

-s  Das kurze Ausgabeformat verwenden. Den Anmeldenamen, die JCPU und PCPU nicht ausgeben.

-f  Umschalten des from (remote host) Feldes. Die Standardeinstellung ist, das from Feld nicht auszugeben. Evtl. hat ihr Systemadministrator oder Paketbetreuer jedoch auch eine Version kompiliert, in der das from Feld standardmäßig angezeigt wird.

-V  Versionsinformation anzeigen.

-o  Altes Ausgabeformat. Druckt Leerzeichen für Leerlaufzeiten unter einer Minute.

Benutzer
    Zeigt nur Informationen über den angegebenen Benutzer an.

DATEIEN

/var/run/utmp
    Informationen darüber, wer gerade angemeldet ist

/proc
    Prozessinformationen

SIEHE AUCH
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTOREN
w ist von Charles Blake fast vollständig neu geschrieben worden. Die ursprüngliche Version wurde von Larry Greenfield <greenfie@gauss.rutgers.edu> und Michael K. Johnson <johnsonm@redhat.com> geschrieben. Berichten Sie Fehler an <albert@users.sf.net>